#!/bin/sh

IPPAN=192.168.0.1
DARK=192.168.0.2
TILDE=technicalsuwako@tilde.club

# 画像など
rsync -rtvzP ass ${IPPAN}:/www/active/technicalsuwako.moe
rsync -rtvzP ass ${DARK}:/www/active/technicalsuwako.moe

# ウエブサイト
## 一般ネット
### HTTP
rsync -rtvzP www ${IPPAN}:/www/active/technicalsuwako.moe

### Gemini
rsync -rtvzP gemini/* gemini@${IPPAN}:/home/gemini/gemini/content

## ダークネット
rm -rf tor i2p public_html
cp -r www tor
cp -r www i2p

### Tor
cd tor
find . -type f -name "*.html" -exec sed -i 's/https:\/\/ass\.technicalsuwako\.moe/http:\/\/ass\.6qiatzlijtqo6giwvuhex5zgg3czzwrq5g6yick3stnn4xekw26zf7qd\.onion/g'  {} +
find . -type f -name "*.html" -exec sed -i 's/https:\/\/076\.moe/http:\/\/7dt6irsmfvbrtgn4nuah56kky6mvr472fbwwaltuxpf26qdqkdhfvnqd\.onion/g'  {} +
find . -type f -name "*.html" -exec sed -i 's/https:\/\/stopsdgs\.076\.moe/http:\/\/stopsdgs\.7dt6irsmfvbrtgn4nuah56kky6mvr472fbwwaltuxpf26qdqkdhfvnqd\.onion/g'  {} +

find . -type f -name "blog.atom" -exec sed -i 's/https:\/\/ass\.technicalsuwako\.moe/http:\/\/ass\.6qiatzlijtqo6giwvuhex5zgg3czzwrq5g6yick3stnn4xekw26zf7qd\.onion/g'  {} +
find . -type f -name "blog.atom" -exec sed -i 's/https:\/\/076\.moe/http:\/\/7dt6irsmfvbrtgn4nuah56kky6mvr472fbwwaltuxpf26qdqkdhfvnqd\.onion/g'  {} +

find . -type f -name "twtxt.txt" -exec sed -i 's/https:\/\/technicalsuwako\.moe/http:\/\/7dt6irsmfvbrtgn4nuah56kky6mvr472fbwwaltuxpf26qdqkdhfvnqd\.onion/g'  {} +
find . -type f -name "twtxt.txt" -exec sed -i 's/https:\/\/076\.moe/http:\/\/7dt6irsmfvbrtgn4nuah56kky6mvr472fbwwaltuxpf26qdqkdhfvnqd\.onion/g'  {} +
cd ..

### I2P
cd i2p
find . -type f -name "*.html" -exec sed -i 's/https:\/\/ass\.technicalsuwako\.moe/http:\/\/ass\.technicalsuwako\.i2p/g'  {} +
find . -type f -name "*.html" -exec sed -i 's/https:\/\/076\.moe/http:\/\/076\.i2p/g'  {} +
find . -type f -name "*.html" -exec sed -i 's/https:\/\/stopsdgs\.076\.moe/http:\/\/stopsdgs\.076\.i2p/g'  {} +

find . -type f -name "blog.atom" -exec sed -i 's/https:\/\/ass\.technicalsuwako\.moe/http:\/\/ass\.technicalsuwako\.i2p/g'  {} +
find . -type f -name "blog.atom" -exec sed -i 's/https:\/\/076\.moe/http:\/\/076\.i2p/g'  {} +

find . -type f -name "twtxt.txt" -exec sed -i 's/https:\/\/technicalsuwako\.moe/http:\/\/technicalsuwako\.i2p/g'  {} +
find . -type f -name "twtxt.txt" -exec sed -i 's/https:\/\/076\.moe/http:\/\/076\.i2p/g'  {} +
cd ..

### 両方同期
rsync -rtvzP tor ${DARK}:/www/active/technicalsuwako.moe
rsync -rtvzP i2p ${DARK}:/www/active/technicalsuwako.moe

## ティルデ
cp -r www public_html
cd public_html
find . -type f -name "*.html" -exec sed -i 's/href="\//href="\/\~technicalsuwako\//g'  {} +
find . -type f -name "*.html" -exec sed -i 's/src="\//src="\/\~technicalsuwako\//g'  {} +
find . -type f -name "*.css" -exec sed -i 's/static/\~technicalsuwako\/static/g' {} +
cd ..
rsync -rtvzP public_html ${TILDE}:/home/technicalsuwako
